Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cagibi
Summary:        SSDP (UPnP discovery) cache/proxy daemon
Version:        0.2.0
Release:        alt2_22

License:        GPLv2+ and LGPLv2+
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/cagibi/%{name}-%{version}.tar.bz2

BuildRequires: automoc
BuildRequires: ctest cmake
BuildRequires: pkgconfig(QtDBus)
BuildRequires: pkgconfig(QtNetwork)
BuildRequires: pkgconfig(QtXml)
Source44: import.info

%description
Cagibi is a cache/proxy daemon for SSDP (the discovery part of UPnP).


%prep
%setup -q


%build
# disable copious debug output,  http://bugzilla.redhat.com/865964
export CXXFLAGS="%{optflags} -DQT_NO_DEBUG_OUTPUT"

%{fedora_v2_cmake}
%fedora_v2_cmake_build


%install
%fedora_v2_cmake_install

# unpackaged files
rm -f %{buildroot}%{_libdir}/pkgconfig/cagibi.pc


%files
%doc --no-dereference COPYING COPYING.LIB
%config(noreplace) %{_sysconfdir}/cagibid.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.Cagibi.conf
%{_bindir}/cagibid
%{_datadir}/dbus-1/interfaces/org.kde.Cagibi.*.xml
%{_datadir}/dbus-1/system-services/org.kde.Cagibi.service


%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.2.0-alt2_22
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_21
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_21
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_18
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_15
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_6
- update to new release by fcimport

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_5
- initial fc import

* Wed Mar 16 2011 Sergey V Turchin <zerg@altlinux.org> 0.1.1-alt2
- rebuilt

* Fri Sep 10 2010 Sergey V Turchin <zerg@altlinux.org> 0.1.1-alt1
- initial specfile
